# Mobithink Android SDK使用文档
#### V1.3


## 系统要求      
本接口API	适用于Android2.1以上各版本Android平台。     
### 1.导入资源工程        
 1. 将AdSDKRelease资源工程拷贝到工作空间，在eclipse中的导航栏右键弹出如图1画面，选择Import导入资源工程，如图1.   
 ![](images/1.png)      
         图1
 2. 导入工程后，右键此工程，在Properties->Android中选中此工程为library工程（勾选红色方框标识处）如图2。        
 ![](images/2.png)      
图2          

### 2.添加资源工程       
添加资源工程为游戏项目的 library。右键游戏项目，在Properties->Android中点击Add添加资源工程为项目工程的library，结果如图3。    
![](images/3.png)       
图3     
注意:如果ADT版本低于14，ADT不支持jar包自动引入，请手动拷贝libs到您的工作
空间。 
Eclipse查看ADT版本号的方法: 
Help==>About Eclips点击Android对应的图标就可以查看版本了. 
如图，红色框部分就是ADT版本号。     
![](images/4.png)       

### 3.代码实现       
#### 1.修改AndroidManifest.xml文件     
首先添加必要的权限，如下所示：      
	
        <uses-permission android:name="android.permission.INTERNET" />

其次注册相应的Activity，具体如下：      
    
        <activity
            android:name="com.mobithink.ad.sdk.AdActivity"
            android:theme="@android:style/Theme.Black.NoTitleBar" >
        </activity>

若要指定屏幕方向,可增加android:screenOrientation属性        
#### 2.完成代码接入        
- 1.使用Mobithink分配的Publisher ID和Application ID初始化SDK        

            Map<String,String> params = new HashMap<String, String>();
		    params.put("pid", "Publisher ID");
		    params.put("aid", "Application ID");
		    MTAgent.init(params);

    注意,初始化必须在所有其他方法之前调用       
- 2.功能函数     
	1)显示广告列表,参数为Activity实例       
		
		MTAgent.showAd(MainActivity.this);

	2)显示插屏广告,参数同样为Activity实例       
		
		MTAgent.showFullScreenAd(MainActivity.this);

	3)显示退出广告,参数除了Activity实例外,还需要一个回调对象        
		
        MTAgent.showQuitDialog(MainActivity.this, new MTAgent.QuitCallback() {

				@Override
				public void onQuit(boolean isQuit) {
					Log.i(TAG, "quit?"+isQuit);
					//isQuit表示是否需要退出处理
					}
					});

## 混淆配置        
	请在混淆配置文件加入如下内容:       
	
        -keep class android.support.v4.*.* { *; }
        -keepclasseswithmembernames class * extends java.lang.RuntimeException{
        public java.lang.String *();
        }
        -keep class com.mobithink.ad.sdk.MTAgent{
        public static final <fields>;
        public static void init(java.util.Map);
        public static void showAd(android.content.Context);
        public static void showFullScreenAd(android.content.Context);
        public static void showQuitDialog(android.app.Activity,com.mobithink.ad.sdk.MTAgent$QuitCallback);
        }
        -keep class com.mobithink.ad.sdk.MTAgent$QuitCallback{
        	 void onQuit(boolean);
        }